import 'package:daniulive/controllers/merge_play_controller.dart';
import 'package:daniulive/views/merge_play_view/sub_view.dart';
import 'package:fis_lib_media_rt/implementations/nt_rtmp/channel/channel.dart';
import 'package:fis_lib_media_rt/implementations/nt_rtmp/native_share.dart';
import 'package:fis_lib_media_rt/implementations/nt_rtmp/values.dart';
import 'package:flutter/material.dart';

class InnerView extends StatefulWidget {
  final NTPlayChannel channel;
  const InnerView({super.key, required this.channel});

  @override
  State<StatefulWidget> createState() => _InnerViewState();
}

class _InnerViewState extends State<InnerView> {
  late final MergePlayController controller;

  @override
  void initState() {
    controller = NTNativeShare.playControllers.get(MERGE_DEVICE_NATIVE_SIGN)!
        as MergePlayController;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MergePlaySubView(
      index: 1,
      controller: controller,
    );
  }
}
